# Type Alias DirectionPadProps

DirectionPadProps: {
className?: string;
middleLabel?: string;
onDownPress?: () => void;
onLeftPress?: () => void;
onMiddlePress?: () => void;
onRightPress?: () => void;
onUpPress?: () => void;
}

#### Type declaration

- ##### `Optional` className?: string

- ##### `Optional` middleLabel?: string

- ##### `Optional` onDownPress?: () => void

- ##### `Optional` onLeftPress?: () => void

- ##### `Optional` onMiddlePress?: () => void

- ##### `Optional` onRightPress?: () => void

- ##### `Optional` onUpPress?: () => void

- Defined in src/components/ui/directionPad/Pad.tsx:7